@echo off
rem =================================================================
rem Image Operation Cancelling Tool
rem Copyright FUJITSU LIMITED 2011
rem #   $Id: rcximagecancel.bat 47295 2011-04-26 06:12:19Z xujun $
rem =================================================================

rem === RCVE install dir ===
set RegRoot=HKLM
set RegCurrentPath=SOFTWARE\Fujitsu\Resource_Coordinator\Manager\CurrentVersion
set InstallDir=""
set ErrorMessage=Resource Coordinator VE is not installed.

REG QUERY "%RegRoot%\%RegCurrentPath%" /v PathName >nul 2>&1
if errorlevel 1 (
  echo %ErrorMessage%
  pause
  exit /b 1
)
FOR /F "tokens=1,2*" %%A IN ('REG QUERY "%RegRoot%\%RegCurrentPath%" /v PathName') DO (
	if "%%A"=="PathName" if "%%B"=="REG_SZ" SET InstallDir=%%C
)
if "%InstallDir%" == """" (
  echo %ErrorMessage%
  pause
  exit /b 1
)
if exist "%InstallDir%\runtime\ruby\" (
  set RubyType=ruby
) else (
  set RubyType=jruby
)

rem === main ===
set IMAGECANCELER_RCX_PATH=%InstallDir%\..
set EtcDir=%InstallDir%\etc
set ToolDir=%~d0%~p0
set IMAGECANCELLER_RCX_RUBY_TYPE=%RubyType%
set IMAGECANCELLER_RCX_OS_TYPE=mswin

if "%RubyType%"=="ruby" (goto :RCX_RUBY) else (goto :RCX_JRUBY)

:RCX_RUBY
  set RCX_IS_ADMIN=""
  set JAVA_HOME="%InstallDir%\runtime\j2re1.5"
  "%InstallDir%\runtime\ruby\bin\ruby" %ToolDir%rcximagecancel.rb %1 %2 %3
  goto :EXIT
  
:RCX_JRUBY
  "%InstallDir%\sys\isadmin.exe"
  set RCX_IS_ADMIN=%errorlevel%
  set JAVA_HOME=%InstallDir%\runtime\jre6
  "%InstallDir%\runtime\jruby\bin\jruby" -J-Drcx.mgrPathName="%InstallDir%" -J-Drcx.etcPathName="%EtcDir%" %ToolDir%rcximagecancel.rb %1 %2 %3 
  goto :EXIT

:EXIT
 exit /b %errorlevel%
